Subject: Re: [PATCH] MTD for Taco

From: Sean MacLennan <[email-masked]>
Date: Wed, 16 Jan 2008 18:51:06 -0500

Josh Boyer wrote:
> On Wed, 16 Jan 2008 16:25:23 -0500
> Sean MacLennan <[email-masked]> wrote:
>
>   
>> Sean MacLennan wrote:
>>     
>>> How about adding a config option that lets you specify 8 bit access? 
>>> Something like CONFIG_NDFC_8BIT_ACCESS. We could default it to no and 
>>> put a little blurb that says something like:
>>>
>>> On some platforms the 32bit read/writes cause a machine access 
>>> exception. If you get a machine access exception while reading the NAND 
>>> bad block table, try turning on 8 bit access.
>>>   
>>>       
>> I know it would be better if 32 bit access just worked, but nobody 
>> actively objected to this idea, so here is a patch ;)
>>     
>
> I'm objecting, but not on the bit access reasons :).
>
> 1) Needs to go to the [email-masked] list with the
> maintainer CC'd (Thomas Gleixner)
>   
Ok.
> 2) I don't want this driver enabled in mainline for boards in
> arch/powerpc until it fully understands how to parse device trees.
>   
Fair enough. I thought it would be better to have a driver that compiles 
and is usable for arch/powerpc, even if not quite correct. We (PIKA) are 
going to be using a NAND flash, so we need the ndfc driver working. But 
I can understand wanting it "right" before you put it in the kernel.

Cheers,
   Sean